
#include "sound_effect.h"
#include <mathf.h>

void tremolo(int offset, int data_handling_size)
{
	int n;
	short volume1 = g_ad_val[0], volume2 = g_ad_val[1], volume3 = g_ad_val[2];
	float depth, rate;
	float delta, a, x = 0.0;

	depth = (float)volume1 / 4096.0;
	rate = (float)volume2 / 4096.0 * 10.0;

	for (n = 0; n < data_handling_size; n++)
	{
		a = 1.0 + depth * sinf(2.0 * M_PI * x);

		delta = rate / FS;
		x += delta;
		if (x >= 1.0)
		{
			x -= 1.0;
		}

		g_pcm1[offset + n].ch0 = g_pcm0[offset + n].ch0 * a;
	}
}
